<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatSetBlockSize</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatSetBlockSize"><H1>MatSetBlockSize</H1></A>
Sets the matrix block <A HREF="../Sys/size.html#size">size</A>; for many matrix types you  cannot use this and MUST set the blocksize when you preallocate the matrix 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscmat.h" 
PetscErrorCode  MatSetBlockSize(Mat mat,PetscInt bs)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mat </B></TD><TD>- the matrix
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>bs </B></TD><TD>- block <A HREF="../Sys/size.html#size">size</A>
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Only works for shell and AIJ matrices
<P>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MatCreateSeqBAIJ.html#MatCreateSeqBAIJ">MatCreateSeqBAIJ</A>(), <A HREF="../Mat/MatCreateMPIBAIJ.html#MatCreateMPIBAIJ">MatCreateMPIBAIJ</A>(), <A HREF="../Mat/MatCreateSeqBDiag.html#MatCreateSeqBDiag">MatCreateSeqBDiag</A>(), <A HREF="../Mat/MatCreateMPIBDiag.html#MatCreateMPIBDiag">MatCreateMPIBDiag</A>(), <A HREF="../Mat/MatGetBlockSize.html#MatGetBlockSize">MatGetBlockSize</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/interface/matrix.c.html#MatSetBlockSize">src/mat/interface/matrix.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
